# $Revision: 1.52 $, $Date: 2012/02/05 10:47:31 $
# TODO
# callweaver.x86_64: E: arch-dependent-file-in-usr-share /usr/share/callweaver/ogi/eogi-test
# callweaver.x86_64: E: arch-dependent-file-in-usr-share /usr/share/callweaver/ogi/eogi-sphinx-test
# callweaver.i486: E: arch-dependent-file-in-usr-share /usr/share/callweaver/ogi/eogi-test
# callweaver.i486: E: arch-dependent-file-in-usr-share /usr/share/callweaver/ogi/eogi-sphinx-test
# callweaver.i686: E: arch-dependent-file-in-usr-share /usr/share/callweaver/ogi/eogi-test
# callweaver.i686: E: arch-dependent-file-in-usr-share /usr/share/callweaver/ogi/eogi-sphinx-test
#
# Conditional build:
%bcond_with	simpledebug		# for safe_callweaver core dump storing
%bcond_with	zhone			# with zhone hack
%bcond_with	javascript		# with javascript support

%define	min_spandsp	1:0.0.6-0.pre12
Summary:	PBX in software
Summary(pl.UTF-8):	Programowy PBX
Name:		callweaver
Version:	1.2.1
Release:	10
License:	GPL v2+
Group:		Applications
Source0:	http://devs.callweaver.org/release/%{name}-%{version}.tar.bz2
# Source0-md5:	54c2ba5852cbe43b802b4605584b5754
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.logrotate
Source4:	%{name}.tmpfiles
URL:		http://www.callweaver.org/
BuildRequires:	bluez-libs-devel
BuildRequires:	curl-devel
BuildRequires:	dahdi-linux-devel
BuildRequires:	libcap-devel
BuildRequires:	libogg-devel
BuildRequires:	libpri-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libtiff-devel
BuildRequires:	libvorbis-devel
BuildRequires:	loudmouth-devel
BuildRequires:	mISDNuser-devel
BuildRequires:	mysql-devel
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	postgresql-devel
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	spandsp-devel >= %{min_spandsp}
BuildRequires:	speex-devel
BuildRequires:	sqlite3-devel
BuildRequires:	unixODBC-devel
BuildRequires:	zlib-devel
Requires(post,preun):	/sbin/chkconfig
Requires:	spandsp >= %{min_spandsp}
Conflicts:	logrotate < 3.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx
%define		skip_post_check_so	libcwjb.so.0.0.0

%description
Open Source PBX and telephony toolkit. It is, in a sense, middleware
between Internet and telephony channels on the bottom, and Internet
and telephony applications at the top.

%description -l pl.UTF-8
PBX i zestaw narzędziowy do telefonii o otwartych źródłach. Jest to
middleware między kanałami internetowymi i telefonicznymi z dołu a
aplikacjami internetowymi i telefonicznymi z góry.

%package devel
Summary:	Header files for callweaver
Summary(pl.UTF-8):	Pliki nagłówkowe callweavera
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for callweaver.

%description devel -l pl.UTF-8
Pliki nagłówkowe callweavera.

%if %{with simpledebug}
%define	no_install_post_strip	1
%endif

%prep
%setup -q

%{?with_zhone:sed -i -e 's|.*#define.*ZHONE_HACK.*|#define ZHONE_HACK 1|g' channels/chan_zap.c}

%build
%configure \
	--with-chan_misdn \
	--with-chan_fax \
	--with-chan_bluetooth \
	--enable-odbc \
	--with-cdr_odbc \
	--with-res_config_odbc \
	--with-res_odbc \
	--enable-mysql \
	--with-cdr_mysql \
	--with-res_config_mysql \
	--enable-postgresql \
	--with-cdr_pgsql \
	--with-res_config_pgsql \
	--with-res_config_curl \
	--enable-jabber \
	--with-res_jabber \
%if %{with javascript}
	--enable-javascript \
	--with-res_js \
%endif
	--with-res_sqlite \
	--with-directory-layout=lsb

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig,logrotate.d} \
	$RPM_BUILD_ROOT%{_var}/spool/callweaver/voicemail \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
cp -p %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}

install %{SOURCE4} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 192 %{name}
%useradd -u 192 -d /var/lib/callweaver -s /bin/false -c "callweaver" -g %{name} %{name}

%post
/sbin/chkconfig --add %{name}
#%%service %%{name} restart

%preun
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" = "0" ]; then
	%userremove %{name}
	%groupremove %{name}
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS CREDITS ChangeLog HARDWARE InstallGuide.txt README SECURITY sounds.txt
%doc doc
%dir %{_sysconfdir}/%{name}
%attr(640,root,callweaver) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*.*
%attr(755,root,root) %{_sbindir}/*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*.so.*
%{_libdir}/%{name}/*.la
%dir %{_libdir}/%{name}/modules
%attr(755,root,root) %{_libdir}/%{name}/modules/*.so
%{_libdir}/%{name}/modules/*.la
%{_datadir}/%{name}
%{_mandir}/man*/*
/usr/lib/tmpfiles.d/%{name}.conf
%attr(750,callweaver,root) %dir %{_var}/lib/callweaver
%attr(750,callweaver,root) %dir %{_var}/lib/callweaver/core
%attr(750,callweaver,root) %dir %{_var}/log/callweaver
%attr(750,callweaver,root) %dir %{_var}/log/callweaver/*
%attr(750,callweaver,root) %dir %{_var}/run/callweaver
%attr(750,callweaver,root) %dir %{_var}/spool/callweaver
%attr(750,callweaver,root) %dir %{_var}/spool/callweaver/voicemail

%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/%{name}

%files devel
%defattr(644,root,root,755)
%{_includedir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: callweaver.spec,v $
Revision 1.52  2012/02/05 10:47:31  baggins
- rel 10
- logrotate 3.8.0 requires "su" option for non-root writable dirs

Revision 1.51  2012/01/31 11:50:47  baggins
- release 9

Revision 1.50  2012/01/31 11:35:11  baggins
- typo

Revision 1.49  2012/01/31 11:31:19  baggins
- added tmpfiles config for systemd

Revision 1.48  2012/01/13 14:48:03  arekm
- release 8

Revision 1.47  2011/05/09 07:07:46  arekm
- rel 7

Revision 1.46  2011/02/02 11:11:37  glen
- E: arch-dependent-file-in-usr-share todo

Revision 1.45  2010/11/24 09:56:09  hawk
- added required skip_post_check_so

Revision 1.44  2010/11/13 12:07:11  pawelz
- release 5

Revision 1.43  2010/04/12 19:23:52  arekm
- release 4

Revision 1.42  2010/01/09 16:59:24  sparky
- undefine __cxx to prevent configure from looking for c++ compiler

Revision 1.41  2010/01/08 22:12:10  arekm
- release 3

Revision 1.40  2009/08/07 18:38:19  hawk
- zaptel is obsolete

Revision 1.39  2009/05/19 19:25:12  areq
- 1.2.1

Revision 1.38  2009/02/23 22:04:14  arekm
- release 6

Revision 1.37  2008/09/10 08:34:32  hawk
- release 5

Revision 1.36  2008/09/01 20:02:55  arekm
- release 4

Revision 1.35  2008/06/29 21:44:46  areq
- rename spandsp.patch to upstream.patch
- add fix for Native Zaptel HW HDLC Support http://www.callweaver.org/ticket/396
  Changeset 4774 - Added ZAP_SIG_HARDHDLC as a valid signaling type for an ISDN channel
  http://www.callweaver.org/changeset/4774

Revision 1.34  2008/06/24 21:11:40  areq
- spandsp 0.5-0.pre4

Revision 1.33  2008/06/22 13:44:15  areq
- Release 1

Revision 1.32  2008/06/22 13:34:37  areq
- 1.2.0.1

Revision 1.31  2008/06/14 10:15:49  arekm
- rel .2

Revision 1.30  2008-04-05 17:27:20  arekm
- up to 20080404

Revision 1.29  2008-02-10 12:01:51  arekm
- up to 20080209

Revision 1.28  2007-12-30 20:14:05  adamg
- fix logpath, cosmetics

Revision 1.27  2007-11-18 18:24:26  arekm
- rel .2

Revision 1.26  2007-09-24 18:06:12  arekm
- some fixes; drop _enable_debug_packages 0

Revision 1.25  2007/09/24 16:44:23  arekm
- don't expand commented macros

Revision 1.24  2007/09/24 16:37:42  arekm
- disable debuginfo packages with simpledebug bcond

Revision 1.23  2007/09/24 13:57:36  arekm
- don't restart, leave it for user; this makes all calls go away

Revision 1.22  2007/09/24 13:48:08  arekm
- up to 20070923 + add zhone hack

Revision 1.21  2007/09/21 20:50:30  czarny
- s/internetowymy/internetowymi/g

Revision 1.20  2007/09/21 06:55:52  arekm
- always enable mISDN support

Revision 1.19  2007/09/21 06:40:05  arekm
- pre9 is needed now

Revision 1.18  2007/09/21 06:33:36  arekm
- disable stripping with simpledebug bcond

Revision 1.17  2007/09/21 06:31:14  arekm
- up to snap 20070921

Revision 1.16  2007/09/18 09:34:21  arekm
- voicemail directory added

Revision 1.15  2007/09/18 08:02:20  arekm
- BR: libpri

Revision 1.14  2007/09/18 07:10:51  arekm
add BR libcap-devel, libsndfile-devel

Revision 1.13  2007/09/17 21:28:23  arekm
- opendbx not needed

Revision 1.12  2007/09/17 08:21:06  arekm
- up to 20070917

Revision 1.11  2007/09/11 12:13:51  arekm
20070911 snap

Revision 1.10  2007/07/22 17:23:49  arekm
- up to 1.2.0 rc4

Revision 1.9  2007/05/08 21:20:23  arekm
- up to snap 20070508

Revision 1.8  2007/04/29 13:35:04  arekm
- up to new snap (cosmetic fixes)

Revision 1.7  2007/04/26 18:35:55  arekm
- fix owner for /var/lib/callweaver (callweaver creates some runtime db there)

Revision 1.6  2007/04/26 07:58:45  arekm
- TODO resolved

Revision 1.5  2007/04/26 07:58:04  arekm
- add logrotate and few missing dirs

Revision 1.4  2007/04/26 07:09:39  arekm
- use snaps from after name change; enable opendbx; use new spandsp; add callweaver user/group

Revision 1.3  2007/04/24 12:20:26  qboosh
- pl

Revision 1.2  2007/04/19 07:44:56  arekm
- more docs

Revision 1.1  2007/04/19 07:37:52  arekm
- another PBX suite; not finished
